E-Invoice
Endpoints for E-Invoice
Endpoints for E-Invoice
POST/api/v1/e-invoice/subscribe
Authentication: Bearer token (JWT)
application/jsonpackageIdnumberRequiredoptionalProductsarray of OptionalProductWithQuantityOptional2 required when the containing object is present4 fieldsoptionalProductsproductIdnumberRequired when parent is presentField path: optionalProducts[].productIdminimum: 1quantitynumberRequired when parent is presentField path: optionalProducts[].quantityminimum: 1shippingCountrystringOptionalField path: optionalProducts[].shippingCountrymaxLength: 64mainProductsWithManualPricearray of MainProductWithManualPriceOptional2 required when the containing object is present2 fieldsmainProductsWithManualPriceproductIdnumberRequired when parent is presentField path: mainProductsWithManualPrice[].productIdmanualPricenumberRequired when parent is presentField path: mainProductsWithManualPrice[].manualPriceminimum: 1userDataFakturaCheckoutUserRequired12 fieldsuserDatamemberIdstringOptionalField path: userData.memberIdemailstring (email)OptionalField path: userData.emailfullNamestringRequiredField path: userData.fullNamephonestringOptionalField path: userData.phonemaxLength: 20countryCodestringOptionalField path: userData.countryCode"NO", billingAddressBillingAddressOptional3 required when the containing object is present11 fieldsbillingAddressaddressstringRequired when parent is presentField path: billingAddress.addressaddressTwostringOptionalField path: billingAddress.addressTwocompanyNamestringOptionalField path: billingAddress.companyNameorganizationNostringOptionalField path: billingAddress.organizationNopostCodestringRequired when parent is presentField path: billingAddress.postCode{
"packageId": 0,
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}checkoutStateUuidstringRequiredmemberPackageMemberPackageRequired35 fieldsmemberPackagecurlcurl https://api.subrite.no/api/v1/e-invoice/subscribe \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"packageId": 0,
"optionalProducts": [
{}
],
"mainProductsWithManualPrice": [
{}
],
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}'POST/api/v1/e-invoice/subscribe-from-admin
Authentication: Bearer token (JWT)
application/jsonpackageIdnumberRequiredpaidPaymentProviderstringOptional"stripe", "vipps", "external", "nets"POST/api/v1/e-invoice/send-recurring-invoices
Authentication: Bearer token (JWT)
This response has no body.
GET/api/v1/e-invoice/orbyt/invoice-list/{memberId}
Authentication: Bearer token (JWT)
memberIdstringRequiredunauthorized
This response has no body.
GET/api/v1/e-invoice/orbyt/invoice-status/{kid}
Authentication: Bearer token (JWT)
kidstringRequiredunauthorized
This response has no body.
GET/api/v1/e-invoice/renew-e-invoices
Authentication: Bearer token (JWT)
renewalDatestring (date-time)Optionalunauthorized
This response has no body.
POST/api/v1/e-invoice/send-existing-invoice/{invoiceId}
Authentication: Bearer token (JWT)
invoiceIdnumberRequiredThis response has no body.
GET/api/v1/e-invoice/usage
Authentication: Bearer token (JWT)
monthlyarray of EInvoiceUsageMonthlyDtoRequired6 fieldsmanualPricenumber"SE""DK""FI""FO""GB"isCompanybooleanOptionalField path: userData.isCompanycompanyNamestringOptionalField path: userData.companyNameorganizationNostringOptionalField path: userData.organizationNoreferencestringOptionalField path: userData.referenceonCheckoutCompletedUrlstringOptionalField path: userData.onCheckoutCompletedUrlsourceUrlstringOptionalField path: userData.sourceUrlreferrerUrlstringOptionalField path: userData.referrerUrlcitystringOptionalField path: billingAddress.citycountrystringRequired when parent is presentField path: billingAddress.countryinvoiceReferencestringOptionalField path: billingAddress.invoiceReferenceemailstringOptionalField path: billingAddress.emailfullNamestringOptionalField path: billingAddress.fullNamephonestringOptionalField path: billingAddress.phonememberIdstringRequiredField path: memberPackage.memberIdpackageIdnumberRequiredField path: memberPackage.packageIdsubscriptionPlanIdnumberRequiredField path: memberPackage.subscriptionPlanIdrecurringPricenumberRequiredField path: memberPackage.recurringPricehasCustomPricebooleanRequiredField path: memberPackage.hasCustomPricecurrentPricenumberRequiredField path: memberPackage.currentPricestatusstringRequiredField path: memberPackage.status"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"autoRenewbooleanRequiredField path: memberPackage.autoRenewnextRenewalstring (date-time)RequiredField path: memberPackage.nextRenewalrenewalAnchorDatestring (date-time)RequiredField path: memberPackage.renewalAnchorDatecurrentPeriodStartstring (date-time)RequiredField path: memberPackage.currentPeriodStartforcedStopDatestring (date-time)RequiredField path: memberPackage.forcedStopDatecancelledAtstring (date-time)RequiredField path: memberPackage.cancelledAtisCustomizedbooleanRequiredField path: memberPackage.isCustomizedpaymentProviderstringRequiredField path: memberPackage.paymentProvider"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"referencestringRequiredField path: memberPackage.referencelastActiveAtstring (date-time)RequiredField path: memberPackage.lastActiveAtisOnIntroPeriodbooleanRequiredField path: memberPackage.isOnIntroPeriodnextOrderDatestring (date-time)RequiredField path: memberPackage.nextOrderDatescheduledActivationDatestring (date-time)RequiredField path: memberPackage.scheduledActivationDatepackagePackageRequiredField path: memberPackage.package35 fieldsmemberPackage.packagepaymentProvidersarray of PAYMENT_PROVIDERRequiredField path: memberPackage.package.paymentProviders"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequiredField path: memberPackage.package.repeatPurchaseControl"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberField path: memberPackage.package.repeatPurchaseCooldownDaysdisplayOrdernumberField path: memberPackage.package.displayOrderseoSeoField path: memberPackage.package.seosalesTitlestringRequiredField path: memberPackage.package.salesTitleuuidstringRequiredField path: memberPackage.package.uuidsubscriptionPlanIdnumberRequiredField path: memberPackage.package.subscriptionPlanIdslugstringRequiredField path: memberPackage.package.slugimagestringRequiredField path: memberPackage.package.imagenamestringRequiredField path: memberPackage.package.namedescriptionobjectRequiredField path: memberPackage.package.descriptionbillingPeriodstringRequiredField path: memberPackage.package.billingPeriod"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequiredField path: memberPackage.package.billingPeriodUnit"day", "week", "month", "year"billingPeriodFrequencynumberRequiredField path: memberPackage.package.billingPeriodFrequencystatusstringRequiredField path: memberPackage.package.status"draft", "published", "archived"isAvailableOnMyPagebooleanRequiredField path: memberPackage.package.isAvailableOnMyPageisAvailableViaSlugbooleanRequiredField path: memberPackage.package.isAvailableViaSlugisAvailableForManualOrderViaAdminbooleanRequiredField path: memberPackage.package.isAvailableForManualOrderViaAdminallowSameSubscriptionChangebooleanRequiredField path: memberPackage.package.allowSameSubscriptionChangeallowDifferentSubscriptionSwitchbooleanRequiredField path: memberPackage.package.allowDifferentSubscriptionSwitchtenantIdnumberRequiredField path: memberPackage.package.tenantIdonboardingWelcomeRedirectCTATextTranslationRequiredField path: memberPackage.package.onboardingWelcomeRedirectCTATextNested fields omitted: depth limit.customPeriodTextTranslationRequiredField path: memberPackage.package.customPeriodTextNested fields omitted: depth limit.orderCtaLabelTranslationRequiredField path: memberPackage.package.orderCtaLabelNested fields omitted: depth limit.introPeriodFixedEndDatestring (date-time)RequiredField path: memberPackage.package.introPeriodFixedEndDatepackageProductsarray of PackageProductRequiredField path: memberPackage.package.packageProductsNested fields omitted: depth limit.subscriptionPlanSubscriptionPlanRequiredField path: memberPackage.package.subscriptionPlanNested fields omitted: depth limit.paymentsarray of PaymentRequiredField path: memberPackage.package.paymentsNested fields omitted: depth limit.memberPackagesarray of MemberPackageRequiredField path: memberPackage.package.memberPackagesRecursive schema; nested fields are not repeated.idnumberRequiredField path: memberPackage.package.idcreatedAtstring (date-time)RequiredField path: memberPackage.package.createdAtupdatedAtstring (date-time)RequiredField path: memberPackage.package.updatedAtdeletedAtstring (date-time)RequiredField path: memberPackage.package.deletedAtmetaDataobjectRequiredField path: memberPackage.package.metaDatasubscriptionPlanSubscriptionPlanRequiredField path: memberPackage.subscriptionPlanNested fields omitted: field limit.memberMemberRequiredField path: memberPackage.memberNested fields omitted: field limit.memberPackageProductsarray of MemberPackageProductRequiredField path: memberPackage.memberPackageProductsNested fields omitted: field limit.ordersarray of OrderRequiredField path: memberPackage.ordersNested fields omitted: field limit.memberPackageProviderPaymentMemberPackageProviderPaymentRequiredField path: memberPackage.memberPackageProviderPaymentNested fields omitted: field limit.changesarray of MemberPackageChangeRequiredField path: memberPackage.changesNested fields omitted: field limit.historiesarray of MemberPackageHistoryRequiredField path: memberPackage.historiesNested fields omitted: field limit.tenantIdnumberRequiredField path: memberPackage.tenantIdtenantTenantRequiredField path: memberPackage.tenantNested fields omitted: field limit.idnumberRequiredField path: memberPackage.idcreatedAtstring (date-time)RequiredField path: memberPackage.createdAtupdatedAtstring (date-time)RequiredField path: memberPackage.updatedAtdeletedAtstring (date-time)RequiredField path: memberPackage.deletedAtmetaDataobjectRequiredField path: memberPackage.metaDatainvoiceNumbernumber{
"checkoutStateUuid": "string",
"memberPackage": {
"memberId": "string",
"packageId": 0,
"subscriptionPlanId": 0,
"recurringPrice": 0,
"hasCustomPrice": true,
"currentPrice": 0,
"status": "active",
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"renewalAnchorDate": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"forcedStopDate": "2019-08-24T14:15:22Z",
"cancelledAt": "2019-08-24T14:15:22Z",
"isCustomized": true,
"paymentProvider": "stripe",
"reference": "string",
"lastActiveAt": "2019-08-24T14:15:22Z",
"isOnIntroPeriod": true,
"nextOrderDate": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"package": {
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
},
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"memberPackageProducts": [],
"orders": [],
"memberPackageProviderPayment": {
"paymentInfo": {},
"cardInfo": {},
"metaData": {}
},
"changes": [],
"histories": [],
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"invoiceNumber": 0
}invalidPackage, badRequest
This response has no body.
unauthorized
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}"efaktura-avtalegiro-ehf""swedbankpay"paymentDatestring (date-time)OptionalisPaidbooleanOptionalnotestringOptionaloptionalProductsarray of OptionalProductWithQuantityOptional2 required when the containing object is present4 fieldsoptionalProductsproductIdnumberRequired when parent is presentField path: optionalProducts[].productIdminimum: 1quantitynumberRequired when parent is presentField path: optionalProducts[].quantityminimum: 1shippingCountrystringOptionalField path: optionalProducts[].shippingCountrymaxLength: 64manualPricenumberOptionalField path: optionalProducts[].manualPricemainProductsWithManualPricearray of MainProductWithManualPriceOptional2 required when the containing object is present2 fieldsmainProductsWithManualPriceproductIdnumberRequired when parent is presentField path: mainProductsWithManualPrice[].productIdmanualPricenumberRequired when parent is presentField path: mainProductsWithManualPrice[].manualPriceminimum: 1userDataFakturaCheckoutUserRequired12 fieldsuserDatamemberIdstringOptionalField path: userData.memberIdemailstring (email)OptionalField path: userData.emailfullNamestringRequiredField path: userData.fullNamephonestringOptionalField path: userData.phonemaxLength: 20countryCodestringOptionalField path: userData.countryCode"NO", "SE", "DK", "FI", "FO", "GB"isCompanybooleanOptionalField path: userData.isCompanycompanyNamestringOptionalField path: userData.companyNameorganizationNostringOptionalField path: userData.organizationNoreferencestringOptionalField path: userData.referenceonCheckoutCompletedUrlstringOptionalField path: userData.onCheckoutCompletedUrlsourceUrlstringOptionalField path: userData.sourceUrlreferrerUrlstringOptionalField path: userData.referrerUrlbillingAddressBillingAddressOptional3 required when the containing object is present11 fieldsbillingAddressaddressstringRequired when parent is presentField path: billingAddress.addressaddressTwostringOptionalField path: billingAddress.addressTwocompanyNamestringOptionalField path: billingAddress.companyNameorganizationNostringOptionalField path: billingAddress.organizationNopostCodestringRequired when parent is presentField path: billingAddress.postCodecitystringOptionalField path: billingAddress.citycountrystringRequired when parent is presentField path: billingAddress.countryinvoiceReferencestringOptionalField path: billingAddress.invoiceReferenceemailstringOptionalField path: billingAddress.emailfullNamestringOptionalField path: billingAddress.fullNamephonestringOptionalField path: billingAddress.phone{
"packageId": 0,
"paidPaymentProvider": "stripe",
"paymentDate": "2019-08-24T14:15:22Z",
"isPaid": true,
"note": "string",
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}Same fields as Subscribe a package via invoice payment (200).
{
"checkoutStateUuid": "string",
"memberPackage": {
"memberId": "string",
"packageId": 0,
"subscriptionPlanId": 0,
"recurringPrice": 0,
"hasCustomPrice": true,
"currentPrice": 0,
"status": "active",
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"renewalAnchorDate": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"forcedStopDate": "2019-08-24T14:15:22Z",
"cancelledAt": "2019-08-24T14:15:22Z",
"isCustomized": true,
"paymentProvider": "stripe",
"reference": "string",
"lastActiveAt": "2019-08-24T14:15:22Z",
"isOnIntroPeriod": true,
"nextOrderDate": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"package": {
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
},
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"memberPackageProducts": [],
"orders": [],
"memberPackageProviderPayment": {
"paymentInfo": {},
"cardInfo": {},
"metaData": {}
},
"changes": [],
"histories": [],
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"invoiceNumber": 0
}invalidPackage, badRequest
This response has no body.
unauthorized
This response has no body.
forbiddenResource
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/e-invoice/subscribe-from-admin \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"packageId": 0,
"paidPaymentProvider": "stripe",
"paymentDate": "2019-08-24T14:15:22Z",
"isPaid": true,
"note": "string",
"optionalProducts": [
{}
],
"mainProductsWithManualPrice": [
{}
],
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}'unauthorized
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/e-invoice/send-recurring-invoices \
--request POST \
--header 'Authorization: Bearer <token>'application/jsonforbiddenResource
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/e-invoice/orbyt/invoice-list/{memberId}' \
--header 'Authorization: Bearer <token>'application/jsonforbiddenResource
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/e-invoice/orbyt/invoice-status/{kid}' \
--header 'Authorization: Bearer <token>'application/jsonforbiddenResource
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/e-invoice/renew-e-invoices \
--header 'Authorization: Bearer <token>'badRequest
messageCodestringRequired"badRequest"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/e-invoice/send-existing-invoice/{invoiceId}' \
--request POST \
--header 'Authorization: Bearer <token>'monthlysent_via_einvoicenumberRequired when parent is presentField path: monthly[].sent_via_einvoicesent_via_emailnumberRequired when parent is presentField path: monthly[].sent_via_emailsent_via_smsnumberRequired when parent is presentField path: monthly[].sent_via_smssent_manuallynumberRequired when parent is presentField path: monthly[].sent_manuallytotal_sentnumberRequired when parent is presentField path: monthly[].total_sentmonthstringRequired when parent is presentField path: monthly[].monthtotalEInvoiceUsageTotalDtoRequired5 fieldstotalsent_via_einvoicenumberRequiredField path: total.sent_via_einvoicesent_via_emailnumberRequiredField path: total.sent_via_emailsent_via_smsnumberRequiredField path: total.sent_via_smssent_manuallynumberRequiredField path: total.sent_manuallytotal_sentnumberRequiredField path: total.total_sent{
"monthly": [
{}
],
"total": {
"sent_via_einvoice": 0,
"sent_via_email": 0,
"sent_via_sms": 0,
"sent_manually": 0,
"total_sent": 0
}
}unauthorized
This response has no body.
forbiddenResource
Same fields as Subscribe a package via invoice payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/e-invoice/usage \
--header 'Authorization: Bearer <token>'